-- ============================================================
--   DBMS NAME:      ORACLE VERSION 7.X
--   CREATED ON:     25/08/97  10:22
--   PROGRAMADOR:    LEANDRO AUGUSTO
-- ============================================================

-- ============================================================
--   VIEW: MANUAL_SERVICOMA1
-- ============================================================
CREATE OR REPLACE VIEW VENDA_VIEW
(CDFILIAL,NMFILIAL,CDCAIXA,NMCAIXA,NRSEQVENDA,CDCLIENTE,CDLOJA,NMLOJA,DTVENDA,DTENTRVENDA,IDSITUVENDA,
 QTTOTALPROD,VRVENDA,VRDESCONTO,VRIMPOSTO) AS
SELECT
  VE.CDFILIAL,FI.NMFILIAL,VE.CDCAIXA,CA.NMCAIXA,VE.NRSEQVENDA,VE.CDCLIENTE,
  VE.CDLOJA,LO.NMLOJA,VE.DTVENDA, VE.DTENTRVENDA,VE.IDSITUVENDA,
  SUM(IT.QTPRODVEND) AS QTTOTALPROD,
  SUM((IT.QTPRODVEND * (NVL(IT.VRUNITVEND,0) + NVL(IT.VRUNITVENDCL,0)))) AS VRVENDA,
  SUM(IT.VRDESITVEND) AS VRDESCONTO,
  SUM((IM.VRPEALPRODIT/100)*((IT.QTPRODVEND * (NVL(IT.VRUNITVEND,0) + NVL(IT.VRUNITVENDCL,0))) - NVL(IT.VRDESITVEND,0))) AS VRIMPOSTO
FROM
  ITEMVENDA IT, VENDA VE, CAIXA CA, LOJA LO, FILIAL FI,
  (SELECT SUM(IM.VRPEALPRODIT) AS VRPEALPRODIT, IM.CDFILIAL, IM.CDCAIXA, IM.NRSEQVENDA,
   IM.NRSEQUITVEND
   FROM ITVENDAIMPOS IM, ITEMVENDA IT
   WHERE (IM.CDFILIAL     = IT.CDFILIAL    ) AND
         (IM.CDCAIXA      = IT.CDCAIXA     ) AND
         (IM.NRSEQVENDA   = IT.NRSEQVENDA  ) AND
         (IM.NRSEQUITVEND = IT.NRSEQUITVEND)
   GROUP BY IM.CDFILIAL, IM.CDCAIXA, IM.NRSEQVENDA,
            IM.NRSEQUITVEND ) IM
WHERE
  (FI.CDFILIAL         = VE.CDFILIAL    ) AND
  (VE.CDFILIAL         = IT.CDFILIAL    ) AND
  (VE.CDCAIXA          = IT.CDCAIXA     ) AND
  (VE.NRSEQVENDA       = IT.NRSEQVENDA  ) AND
  (VE.CDFILIAL         = CA.CDFILIAL    ) AND
  (VE.CDCAIXA          = CA.CDCAIXA     ) AND
  (VE.CDFILIAL         = LO.CDFILIAL    ) AND
  (VE.CDLOJA           = LO.CDLOJA      ) AND
  (IM.CDFILIAL     (+) = IT.CDFILIAL    ) AND
  (IM.CDCAIXA      (+) = IT.CDCAIXA     ) AND
  (IM.NRSEQVENDA   (+) = IT.NRSEQVENDA  ) AND
  (IM.NRSEQUITVEND (+) = IT.NRSEQUITVEND)
GROUP BY
  VE.CDFILIAL,FI.NMFILIAL,VE.CDCAIXA,CA.NMCAIXA,VE.NRSEQVENDA,VE.CDCLIENTE,
  VE.CDLOJA,LO.NMLOJA,VE.DTVENDA, VE.DTENTRVENDA, VE.IDSITUVENDA
/

-- VERSAO --
BEGIN ATUVEROBJ('VENDA_VIEW','4.05.136'); END;
/

