/*
Trigger especifica do cliente Organizao Nutri para no deixar alterar
a quantidade de um item de solicitao automtica para um valor maior, deixando apenas
ser alterada para uma quantidade menor.
*/

CREATE OR REPLACE TRIGGER USR_BLOQ_QUANT_ITEMSOLI
BEFORE INSERT OR UPDATE OR DELETE
ON ITEMSOLI FOR EACH ROW

DECLARE
  V_DESC       VARCHAR2(500);
  V_DSIP       VARCHAR2(50);
  V_DSUSUARIO  VARCHAR2(50);
  V_DSRDM      VARCHAR2(50);
  V_DSMETODO   VARCHAR2(250);
  V_DSOPERADOR VARCHAR2(12);
  V_IDTIPLAN   VARCHAR2(01);
  V_NMPRODUTO  VARCHAR2(50);
  V_CDARVPROD  VARCHAR2(20);
  
BEGIN
   V_DESC := '';

   WEBTUNNING(V_DSIP,
              V_DSUSUARIO,
              V_DSRDM,
              V_DSMETODO,
              V_DSOPERADOR);    

   IF UPDATING THEN
      IF (SUBSTR(V_DSRDM, 1, 15) = 'rdmLancaSoliCmp') OR (SUBSTR(V_DSRDM, 1, 13) = 'rdmAltSoliCmp') OR (SUBSTR(V_DSRDM, 1, 16) = 'rdmAltAutSoliCmp') THEN 
         SELECT IDTIPLAN
           INTO V_IDTIPLAN
           FROM SOLICITA
          WHERE CDFILLANCA = :OLD.CDFILLAN
            AND CDFILSOLI  = :OLD.CDFILSOLI
            AND NRSOLICMP  = :OLD.NRSOLICMP;

         IF V_IDTIPLAN = 'A' THEN
            SELECT NMPRODUTO, CDARVPROD
              INTO V_NMPRODUTO, V_CDARVPROD
              FROM PRODUTO
             WHERE CDPRODUTO = :OLD.CDPRODUTO;

            IF NVL(:OLD.QTSOLIPROD, 0) < NVL(:NEW.QTSOLIPROD, 0) THEN
               V_DESC := 'Operao bloqueada! No  possvel alterar a quantidade atual '||:OLD.QTSOLIPROD|| ' para a quantidade posterior '||:NEW.QTSOLIPROD||' do item de solicitao '||V_CDARVPROD||' '||V_NMPRODUTO||'.';
               raise_application_error(-20501, V_DESC, True);
            END IF;
         END IF;
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('USR_BLOQ_QUANT_ITEMSOLI','6.10.XXX'); END;
/